summaryrefslogtreecommitdiff
path: root/mason/mason.sh
diff options
context:
space:
mode:
authorMichael Drake <michael.drake@codethink.co.uk>2014-08-07 15:35:05 +0000
committerMichael Drake <michael.drake@codethink.co.uk>2014-08-07 15:35:05 +0000
commit7b44635eef1f24ff586a23e95e379418699cfb95 (patch)
treeb5026f6bfefa61c3e805a3f3a946c945f76c7f88 /mason/mason.sh
parente752380753b9657c60bae790c10f2a0867e56009 (diff)
parente90d95117b545358cd889b5cd2acd1b673aa7e03 (diff)
downloaddefinitions-7b44635eef1f24ff586a23e95e379418699cfb95.tar.gz
Merge branch 'baserock/michaeldrake/mason-net-down-report'
Reviewed-By: Lars Wirzenius <lars.wirzenius@codethink.co.uk>
Diffstat (limited to 'mason/mason.sh')
-rwxr-xr-xmason/mason.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/mason/mason.sh b/mason/mason.sh
index dfed71f7..1fdcf2de 100755
--- a/mason/mason.sh
+++ b/mason/mason.sh
@@ -22,7 +22,10 @@ else
SHA1_PREV="$(git rev-parse HEAD)"
fi
-git remote update origin
+if ! git remote update origin; then
+ echo ERROR: Unable to contact trove
+ exit 42
+fi
git clean -fxd
git reset --hard origin/"$DEFINITIONS_REF"